## Qu'est-ce que l'informatique libre

- Les 4 Libertés du logiciel libre, adaptées:
  - Utilisation sans restriction
  - Étude du code et des outils de conception
  - Possibilité de modifier, d'adapter et de combiner sans restriction
  - Droit de partager notre travail (sous les mêmes conditions ou non)

## Le cadre légal

- Gouverné par des licences:
  - Consentement explicite
  - Bien collectif
  - Préserve le droit d'auteur moral (reconnaissance) par un ajout de conditions

## Qu'est-ce qui est concerné

- Code informatique et logiciels
- Oeuvres artistiques et littéraires
- Bases de données
- Plans d'objets physiques et recettes

## Quelques concepts, statistiques et études

Portrait d'une communauté d'informatique libre

- De partout dans le monde
- Mettre à profit une expertise comme:
  - Utilisateurs.trices
  - Contributeurs.trices
  - Responsables de produit
- Basée sur le web

On s'attendrait qu'elle soit aussi diversifiée que l'ensemble des utilisateurs du réseau sur la planète.

Mais ce n'est pas le cas ...

## Le cas du logiciel libre

Voici l'exemple pour une communauté autour d'un logiciel libre développé sur une plateforme telle que GitHub.

GitHub est un service en ligne qui permet d'héberger du code et de contribuer au développement de manière décentralisée en utilisant un système de branches et de fusions de code.

![](git_prodoriented_flow.png)

Pour favoriser les contributions, il faut:

- Une politique de contribution claire (fichier README.md)
- Accepter l'erreur, ne pas donner l'impression qu'on va se faire crier après
- Proposer des tâches non-techniques aux utilisateurs.trices

Éviter les comportements élitistes et violents:
  - Ex: Linus Torvalds <https://www.theregister.com/2015/10/06/linix_kernel_dev_who_asked_linus_torvalds_to_stop_swearing_quits_over_swearing/>

Sarah Sharp, responsable des pilotes USB 3.0 dans Linux:

> I finally realized that I could no longer contribute to a community where I was technically respected, but I could not ask for personal respect. 
>
> I could not work with people who helpfully encouraged newcomers to send patches, and then argued that maintainers should be allowed to spew whatever vile words they needed to in order to maintain radical emotional honesty. 
> 
> I did not want to work professionally with people who were allowed to get away with subtle sexist or homophobic jokes. 
> 
> I feel powerless in a community that had a “Code of Conflict” without a specific list of behaviors to avoid and a community with no teeth to enforce it.

## Biais fondamental: Méritocratie

> meritocracy has consistently shown itself to mainly benefit those with privilege, to the exclusion of underrepresented people in technology

<https://postmeritocracy.org/>

![](impact of diversity on team performance.png)

## Premier enjeu: la diversité de genre

Selon GitHub en 2017, 95% des contributeurs étaient de genre masculin.

Selon le Bureau of labor statistics: <https://www.bls.gov/cps/cpsaat11.htm>, 

- Occupations informatique et mathématique: 26.2% de femmes
- développeurs.euses logiciels: 19.7%.

![](da1.jpeg)

## Rejet et harcèlement

Cette situation problématique se produit à répétition dans certaines communautés

- Quand il y a une femme dans une équipe, elle est soit ignorée ou harcelée, soit elle devient l'image publique du groupe. 

## Premier cas: Katie Bouman

![](hoyo.jpg)

- Katie Bouman: Photo du trou noir. Token féminin: <https://free-and-open-technologies.github.io/papers/Wang_and_Weinberger_-_Reasons_for_lack_of_diversity_of_open_source_(2020).pdf>

## Deuxième cas: Coraline Ada Ehmke

- Coraline Ada Ehmke. Transphobie : https://where.coraline.codes/blog/my-year-at-github/  
  - "What is your gender?" The multiple-choice options were "Male", "Female", and "Transgender"
  - <https://www.contributor-covenant.org/>

## Deuxième enjeu: diversité d'age

![](da2.jpeg)

- Les gens plus agés ont parfois des interactions négatives avec les jeunes
- Les jeunes recherchent un sentiment d'appartenance

## Troisième enjeu: diversité ethnique

- Surreprésentation des groupes d'origine asiatique
- Sous-représentation des groupes afro-américains et latinos

<https://www.bls.gov/cps/cpsaat11.htm>

## Initiative: Inclusive naming

- Abort, abortion -> User-Initiated Termination, Force quit
- Whitelist, blacklist -> allowlist/denylist
- Master, slave -> Primary/secondary
- Master -> main